Skip to main content
GET
/
v1
/
ramp
/
conversion
List Conversions
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/ramp/conversion \
  --header 'x-auth-token: <api-key>'
{
  "code": 200,
  "message": "Success",
  "data": {
    "data": [
      {
        "order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "short_order_id": "<string>",
        "status": "Submit Failed",
        "sell_currency": "<string>",
        "sell_amount": "<string>",
        "buy_currency": "<string>",
        "buy_amount": "<string>",
        "quote_price": "<string>",
        "processing_fee": "<string>",
        "network_fee": "<string>",
        "create_time": "<string>",
        "completed_time": "<string>",
        "reason": "<string>"
      }
    ],
    "total_pages": 123,
    "total_items": 123
  }
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
default:10
required

Items per page (1 to 100, default 10)

Required range: 1 <= x <= 100
page_num
integer
default:1
required

Page number (≥ 1, default 1)

Required range: x >= 1
order_status
enum<string>

Order status to query

Available options:
Failed,
Pending,
Success
order_id
string

Order ID

balance_currency
string

Transaction currency

Response

Successfully retrieved conversions

code
integer
required
Example:

200

message
string
required
Example:

"Success"

data
object
required